Bug 1743931 - BUG: unable to handle kernel NULL pointer dereference at 0000000000000020
Summary: BUG: unable to handle kernel NULL pointer dereference at 0000000000000020
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: kernel-rt
Version: 8.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 8.0
Assignee: Juri Lelli
QA Contact: Pei Zhang
URL:
Whiteboard:
: 1745474 (view as bug list)
Depends On:
Blocks: 1680412 1696402
TreeView+ depends on / blocked
 
Reported: 2019-08-21 03:17 UTC by Pei Zhang
Modified: 2020-11-14 06:31 UTC (History)
9 users (show)

Fixed In Version: kernel-rt-4.18.0-137.rt24.83.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 20:38:26 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3309 None None None 2019-11-05 20:39:11 UTC

Description Pei Zhang 2019-08-21 03:17:49 UTC
Description of problem:
Setup rt in host which has i40e NIC drivers, rt host will crash.

Version-Release number of selected component (if applicable):
4.18.0-136.rt24.81.el8.x86_64

How reproducible:
4/4

Steps to Reproduce:
1. Install a rhel8 host. In my testing server, I have 2 XL710 NICs(i40e driver).

2. Install kernel-rt on rhel8 host

3. Reboot host twice, host kernel-rt will crash at the 2nd reboot. 

Actual results:
RT host crash.

Expected results:
RT host should not crash.

Additional info:
1. This might be caused by i40e NIC driver. Testing on another server without i40e NIC driver, the rt host works well.

2. This is a regression bug:
kernel-rt-4.18.0-134.rt24.79.el8.x86_64   works well
kernel-rt-4.18.0-136.rt24.81.el8.x86_64   crash

Comment 2 Pei Zhang 2019-08-21 06:40:24 UTC
It's only kernel-rt issue. 4.18.0-136.el8.x86_64 works well.

Comment 13 Pei Zhang 2019-08-26 07:42:47 UTC
Verified with 4.18.0-137.rt24.83.el8.x86_64:

RT host works very well after several reboots, no any error any more.

So this bug has been fixed very well. Move to 'VERIFIED'.

Comment 14 Chunyu Hu 2019-08-27 03:02:50 UTC
*** Bug 1745474 has been marked as a duplicate of this bug. ***

Comment 16 errata-xmlrpc 2019-11-05 20:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3309


Note You need to log in before you can comment on or make changes to this bug.